/************************************************************************
 *									*
 *			test1.c						*
 *									*
 *  Dette er et testprogram som viser noen av mulighetene som grafikk-	*
 * pakken DS_gbib tilbyr.						*
 *									*
 * Forfatter: Jarle Strand						*
 * Sist endret: 14/4-1988						*
 *									*
 ************************************************************************/

#include	<stdio.h>
#include	"gbib.h"

/* Definerer farger */
#define	hvit	3
#define gul	2
#define bla	1
#define sort	0

/* Definerer variabler for filhndtering */
char	font[3000];
FILE	*f;

/* Definering av grafene */
int	grafx1[14] ={201,201,220,239,258,277,296,315,334,353,372,391,408,408};
int	grafy1[14] ={199,190,160,130,160,170,160,150,155,140,130,120,115,199};
int	grafx2[14] ={201,201,220,239,258,277,296,315,334,353,372,391,408,408};
int	grafy2[14] ={199,175,120,100,135,150,135,120,112,110,100,95,90,199};


main()
{
	int	i;

	init_graphics();

	/* Laster inn font-fil */
	if( (f=fopen("serif.fnt","rb")) == NULL){
		puts("Finner ikke font-filen SERIF.FNT\n");
		exit();
	};
	i = 0;
	while(!feof(f)) font[i++] = getc(f);
	
	/* Setter bakgrunnsfargen til gr */
	define_color(hvit,5,5,2);
	set_backgroundcolor(hvit);
	cls();

	/* Tegner ramme rundt skjermen */
	set_pencolor(sort);
	Tmoveto(55,10);
	Tline(400);
	Tarc(90,20);
	Tline(195);
	Tarc(90,20);
	Tline(400);
	Tarc(90,20);
	Tline(195);
	Tarc(90,20);
	flood_fill(10,10,pattern);

	/* Skriver overskrift */
	B_set_font(font);
	set_pencolor(sort);
	B_text_size(2,3);
	B_setcursor(110,20);
	B_text("-Sales Chart-",hollow);
	rectangle(110,55,300,4,solid);

	/* Tegner ramme for grafen */
	set_pencolor(gul);
	rectangle(200,80,210,120,solid);
	set_pencolor(sort);
	rectangle(200,80,210,120,hollow);

	/* Skriver ut navn p mnedene */
	set_pencolor(sort);
	B_textdir(opp);
	B_text_size(1,1);
	B_set_std_font();
	i = 185;
	B_setcursor(i+=18,220); B_text("JAN",hollow);
	B_setcursor(i+=18,220); B_text("FEB",hollow);
	B_setcursor(i+=18,220); B_text("MAR",hollow);
	B_setcursor(i+=18,220); B_text("APR",hollow);
	B_setcursor(i+=18,220); B_text("MAY",hollow);
	B_setcursor(i+=18,220); B_text("JUN",hollow);
	B_setcursor(i+=18,220); B_text("JUL",hollow);
	B_setcursor(i+=18,220); B_text("AUG",hollow);
	B_setcursor(i+=18,220); B_text("SEP",hollow);
	B_setcursor(i+=18,220); B_text("OCT",hollow);
	B_setcursor(i+=18,220); B_text("NOV",hollow);
	B_setcursor(i+=18,220); B_text("DEC",hollow);
	
	/* Skriver tekst p siden av grafen */
	set_pencolor(sort);
	B_textdir(hoyre);
	B_text_size(1,1);
	B_set_font(font);
	rectangle(65,85,40,14,solid);
	rectangle(65,110,40,14,pattern);
	B_setcursor(120,85);
	B_text("Sales",hollow);
	B_setcursor(120,110);
	B_text("Profit",hollow);

	/* Skriver ut linjen nederst p skjermen */
	set_pencolor(sort);
	B_setcursor(80,230);
	B_text("PRESS ANY KEY TO CONTINUE !",hollow);

	/* Tegner grafene p skjermen */
	set_pencolor(sort);
	polygon(14,grafx2,grafy2,solid);
	set_pencolor(bla);
	polygon(14,grafx1,grafy1,pattern);
	polygon(14,grafx1,grafy1,hollow);	

	/* Tegner happy-face */
	set_pencolor(gul);
	ellipse(95,166,30,24,solid);
	set_pencolor(sort);
	ellipse(95,166,30,24,hollow);
	ellipse(82,160,3,3,solid);
	ellipse(108,160,3,3,solid);
	rectangle(94,156,3,20,solid);
	arc(95,166,25,20,35,110);

	/* Skriver ut 'firmanavn' */
	set_pencolor(sort);
	B_set_std_font();
	B_setcursor(130,150);
	B_text("  HAPPY",hollow);
	B_setcursor(130,160);
	B_text("COMPUTERS",hollow);
	B_setcursor(130,170);
	B_text("  Ltd.",hollow);

	/* Venter p tastetrykk, resetter skjermen, slr p markren */
	getch();
	init_graphics();
	printf("%c",15);
}
